Method: projects.locations.publishers.list

Lists all Publishers in a location.

HTTP request

GET https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/publishers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent location to query. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Page limit size.

pageToken

string

Optional. Page offset token.

Request body

The request body must be empty.

Response body

Response listing Publishers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "publishers": [
    {
      object (Publisher)
    }
  ],
  "nextPageToken": string
}
Fields
publishers[]

object (Publisher)

The returned list of Publishers.

nextPageToken

string

Page offset continuation token.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/agentregistry.read-write
  • https://www.googleapis.com/auth/agentregistry.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.publishers.list

For more information, see the IAM documentation.